<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- Creates XML markup from specific HTML for the Seedsavers book.

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<!-- Inspired from M. Kay , 2nd edition p. 496 -->
<xsl:template match="book">
 <xsl:copy>
  <xsl:for-each select='name[@adj="english"]'>
   <xsl:variable name='name-id' select='generate-id()' />
   <xsl:text>
   </xsl:text>
   <species>
    <xsl:copy-of select="." />
    <xsl:for-each select='following-sibling::*[generate-id(preceding-sibling::name[@adj="english"][1]) = $name-id][not(@adj="english")]'>
     <xsl:copy-of select="." />
    </xsl:for-each>
   </species>
  </xsl:for-each>
 </xsl:copy>
</xsl:template>

</xsl:stylesheet> 
