<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
change xml:base attribute in <xsl:import> elements 
INPUT:
- an XSLT stylesheet

OUTPUT: standard output
- an XSLT stylesheet

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:param name='base-import' select='"http://wwbota.free.fr/xslt/"'/>

<xsl:template match="xsl:import/@xml:base" >
 <xsl:attribute name='xml:base'>
  <xsl:value-of select="$base-import" />
 </xsl:attribute>
</xsl:template>

 <xsl:template match="@*|*|/" >
   <xsl:copy>
    <xsl:apply-templates select="*|@*|text()" />
   </xsl:copy>
 </xsl:template>

</xsl:stylesheet> 
