<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
Appends after last first-level element of document at URL $main all first-level elements of input document .

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
$Header: /usr/local/cvsroot/XMLPublication/kernel/join.xslt,v 1.2 2001/11/09 18:32:39 jmv Exp $ -->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" 
xmlns:doc="http://xsltsl.org/xsl/documentation/1.0"
xmlns:str="http://xsltsl.org/string"
extension-element-prefixes="doc str" >

  <xsl:include href="tokenize-string.xslt" />

   <xsl:param name="file-list-file" />

<xsl:template match="/*" >
  <xsl:variable name='docs' select="document($file-list-file)" />
  <xsl:message>DEBUG <xsl:copy-of select="$docs" /> ;  
  <xsl:call-template name="str:tokenize-string">
    <xsl:with-param name="text" select='normalize-space($docs)' />
  </xsl:call-template>
</xsl:message>

  <xsl:variable name="file-list">
  <xsl:call-template name="str:tokenize-string">
    <xsl:with-param name="text" select='normalize-space($docs)' />
  </xsl:call-template>
  </xsl:variable>
  <xsl:message>
   xsl:copy-of select="$file-list"
   <xsl:copy-of select="$file-list"  />
  </xsl:message>
  <xsl:variable name='files' select="document($file-list/*, $docs )" />
  <!--
  <xsl:variable name='files' select="document($file-list/*, / )" />
-->
   <!-- select all first level tags of all documents : -->
  <xsl:copy>
   <xsl:message>Appending <xsl:copy-of select="count($files/*/*)" /> elements ...</xsl:message>
   <xsl:copy-of select="$files/*/*" />
  </xsl:copy>
</xsl:template>

</xsl:stylesheet>
