/*
 * Copyright (c) 2002. Jean-Marc Vanel. All rights reserved.
 * This code is provided AS-IS, WITHOUT ANY WARRANTY either expressed or implied.
 */
package org.xmlpublication;
import java.io.*;
import java.util.*;
import org.apache.tools.ant.*;

/** 
 * This class does (more or less) what the Unix ls command does.
 **/
public class ls {

org.apache.tools.ant.DirectoryScanner ds = new DirectoryScanner();
ArrayList includes = new ArrayList();
    
  public static void main(String args[]) throws IOException {
    ls ls = new ls();
    
    boolean exit = false;
    for(int i = 0; i < args.length; i++) {
      if (args[i].equals("-exit")) {
        exit = true;
      }
      else {
        ls.includes.add(args[i]);
      }
    }
    // String[] includesArray = (String[])ls.includes.toArray();
    String[] includesArray = new String[ls.includes.size()];
    {
      for(int i=0; i < ls.includes.size(); i++) {
        includesArray[i]=(String)ls.includes.get(i);
      }
    }
    ls.ds.setIncludes(includesArray);
    ls.ds.setBasedir(new File("."));
    //ls.ds.setCaseSensitive(true);
    ls.ds.scan();

   String[] files = ls.ds.getIncludedFiles();
   for (int j = 0; j < files.length; j++) {
     System.out.println(files[j]);
   }
   if ( exit && files.length==0 ) {
     System.exit(0);
   }
/*
 String[] includes = {"**\\*.class"};
   String[] excludes = {"modules\\*\\**"};
   ds.setIncludes(includes);
   ds.setExcludes(excludes);
   ds.setBasedir(new File("test"));
   ds.setCaseSensitive(true);
   ds.scan();

   System.out.println("FILES:");
   String[] files = ds.getIncludedFiles();
   for (int i = 0; i < files.length;i++) {
     System.out.println(files[i]);
   }
*/
  }
}
