<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
First stores unfinished XHTML files in work/ directory, and then 
generates HTML pages in html/ directory .

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

 <xsl:import href="group-by-headers.xslt" />
 <xsl:import href="extractBody.xslt" />
 <xsl:import href="split-into-items-impl.xslt" />
 <xsl:import href="split-href.xslt" />
 <xsl:import href="format-HTML-impl.xslt" />
 <xsl:include href="item_file_name-generic-html.xslt" />

 <xsl:param name='EXEC_DIR' select="/" />

<xsl:template match="/">
 <xsl:variable name='headers-grouped' >
  <xsl:apply-templates select="*" mode='initial' /> 
 </xsl:variable>
 <xsl:variable name='html-body' >
  <xsl:apply-templates select="$headers-grouped" mode='extractBody' />
 </xsl:variable>
<!--
  <xsl:apply-templates select="$html-body/*/*" mode='write-file' >
   <xsl:with-param name='document' select="$html-body" />
  </xsl:apply-templates>
-->
 <xsl:message> DEBUG count($html-body/*/*)=<xsl:copy-of select="count($html-body/*/*)" /> </xsl:message>
 <xsl:for-each select="$html-body/*/*" >

<!-- <xsl:message> DEBUG $html-body=<xsl:copy-of select="$html-body" /> </xsl:message> -->
  <xsl:message> DEBUG position()=<xsl:copy-of select="position()" /> </xsl:message>
  <xsl:variable name='item' >
   <xsl:apply-templates select="." mode='write-file-content' >
    <xsl:with-param name='document' select="$html-body" />
   </xsl:apply-templates>
  </xsl:variable>

  <xsl:variable name='item_file_name_html_abs' >
    <xsl:call-template name="item_file_name_html_abs" />
  </xsl:variable>
  <xsl:variable name='item_file_name' >
    <xsl:call-template name="item_file_name" />
  </xsl:variable>

  <xsl:document href='{$item_file_name}' >
    <xsl:copy-of select="$item" />
  </xsl:document>

  <xsl:document href='{$item_file_name_html_abs}' >
    <xsl:message> xsl:call-template name='format-HTML'
    </xsl:message>
   <xsl:call-template name='format-HTML'>
    <xsl:with-param name='item-document' select="$item" />
   </xsl:call-template>
  </xsl:document>
 </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
