<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- Splits from specific XML markup into 1 file per item

The files are named in a separate template ,
possibly into another directory .

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/

FAIT: ajouter un mode pour pouvoir rutiliser en enchainant plusieurs transformations dans une seule stylesheet
ajouter un mode deep-copy ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZzz
$Header: /usr/local/cvsroot/XMLPublication/kernel/split-into-items-impl.xslt,v 1.2 2001/11/09 18:32:40 jmv Exp $ -->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:import href="item_file_name-generic.xslt" />

<xsl:template match="*" mode='write-file' />

<xsl:template match="*[local-name()!='thead']" mode='write-file' >
 <xsl:param name='document' />
 <xsl:variable name="item_file_name" >
  <xsl:call-template name="item_file_name" />
 </xsl:variable>
 <xsl:message>[XMLPub] Splitting: <xsl:copy-of select="$item_file_name" /> position()=<xsl:copy-of select="position()" /> ...</xsl:message>
 <xsl:document href="{$item_file_name}" >
  <xsl:apply-templates select="." mode='write-file-content'>
   <xsl:with-param name='document' select="$document" />
  </xsl:apply-templates>
 </xsl:document>
</xsl:template>

<xsl:template match="/" >
 <!-- select all first level tags: -->
 <xsl:apply-templates select="/*/*" mode='write-file' />
</xsl:template>

 <xsl:template match="@*|*" mode='write-file-content'>
 <xsl:param name='document' />
   <xsl:copy>
    <xsl:apply-templates select="*|@*|text()" mode='write-file-content'>
     <xsl:with-param name='document' select="$document" />
    </xsl:apply-templates>
   </xsl:copy>
 </xsl:template> 
</xsl:stylesheet>
