<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- XMLPublish framework
Purpose: extract body of an (X)HTML document.

Copyright J.M. Vanel 2001 - under GNU public licence (see http://www.gnu.org)
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:template match="/" >
  <xsl:apply-templates select="/*/*" mode='extractBody' />
</xsl:template>
<xsl:template match="*[local-name()='head']" mode='extractBody' />
<xsl:template match="*[local-name()='body']" mode='extractBody' >
  <xsl:apply-templates select="." mode='deep-copy' /> 
</xsl:template>

<xsl:template match="@*|node()" mode='deep-copy' >
 <xsl:copy>
  <xsl:apply-templates select="@*" mode='deep-copy' /> 
  <xsl:apply-templates mode='deep-copy' /> 
 </xsl:copy>
</xsl:template>
</xsl:stylesheet> 
