<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- Intersection by value

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:template name='intersection-by-value'>
 <xsl:param name="v1" />
 <xsl:param name="v2" />
 <xsl:variable name="first" select="$v1/*[1]" />
 <xsl:if test="$first" >
  <xsl:choose>
   <xsl:when test="contains($v2/*, $first)" >
    <xsl:copy-of select="$first" />
    <xsl:call-template name="intersection-by-value">
     <xsl:with-param name="v1">
      <xsl:copy-of select="$v1/*[position()>1]" />
     </xsl:with-param>
     <xsl:with-param name="v2" select="$v2" />
    </xsl:call-template>
   </xsl:when>
   <xsl:otherwise>
    <xsl:call-template name="intersection-by-value">
     <xsl:with-param name="v1">
      <xsl:copy-of select="$v1/*[position()>1]" />
     </xsl:with-param>
     <xsl:with-param name="v2" select="$v2" />
    </xsl:call-template>
   </xsl:otherwise>
  </xsl:choose>
 </xsl:if>
</xsl:template>
</xsl:stylesheet> 
