<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
Purpose: generate an XHTML search page with words-list by rubrics

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/

$Header: /home/jmv/cvsroot/XMLPublication/kernel/make-search-page.xslt,v 1.1.1.1 2002/05/08 07:56:07 jmv Exp $ -->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                xmlns:saxon='http://icl.com/saxon'
                exclude-result-prefixes="saxon"
                version="1.0" >


<xsl:template match='/'>
<h1>Search items containing keywords</h1>

  <FORM action="http://somesite.com/prog/component-select" method="post">
    <P>
      <xsl:for-each select="/*/rubric">
        <label>
        <xsl:value-of select='@label'/>
        <select multiple='yes' name="{@name}">
          <xsl:apply-templates/>
        </select>
        </label>
      </xsl:for-each>
      <INPUT type="submit" value="Send" />
      <INPUT type="reset" />
    </P>
  </FORM>
</xsl:template>

  <xsl:template match='keywords/w'>
    <option><xsl:value-of select='.'/></option>
  </xsl:template>
</xsl:stylesheet> 
