<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
Purpose: 

This is an XSLT library, designed to be imported.

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
$Header: /home/jmv/cvsroot/XMLPublication/kernel/related-words-in-words-list.xslt,v 1.1.1.1 2002/05/08 07:56:07 jmv Exp $ -->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0"
 	xmlns:doc="http://xsltsl.org/xsl/documentation/1.0"
	xmlns:str="http://xsltsl.org/string"
	extension-element-prefixes="doc str"
        xmlns:saxon="http://icl.com/saxon" >

  <xsl:import href="normalize-word.xslt" />

  <xsl:template name="related-words-in-words-list">
    <xsl:param name="nodes" />
    <xsl:for-each select="$nodes//w  | $nodes//saxon:token " >
      <xsl:variable name='current-word' >
        <xsl:apply-templates select='.' mode='normalize-word' />
      </xsl:variable>
      <xsl:variable name='preceding-word' >
        <xsl:apply-templates select='preceding-sibling::w[1] | preceding-sibling::saxon:token[1] ' mode='normalize-word' />
      </xsl:variable>
      <!-- <xsl:message>DEBUG
        $current-word= <xsl:copy-of select="$current-word" />
        $preceding-word= <xsl:copy-of select="$preceding-word" />
      </xsl:message> -->
      <xsl:if test='$current-word != $preceding-word' >
        <xsl:copy-of select="." />
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
