<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:template match="*[local-name()='a'][@href]" mode='write-file-content'>
 <xsl:param name='document' />
 <xsl:message>Creating new href for "<xsl:copy-of select="." /> ...</xsl:message>
 <xsl:variable name='href' select='substring-after(current()/@href,"#")'/>
 <xsl:message> DEBUG $document//*[local-name()="a"][@name=$href]="<xsl:value-of select='$document//*[local-name()="a"][@name=$href]' />" ...</xsl:message>
 <xsl:variable name='link-end' ><xsl:copy-of select='$document//*[local-name()="a"][@name=$href]'/>
 </xsl:variable>
 <xsl:choose>
 <xsl:when test='string($link-end)' >
 <xsl:variable name='new-href'> 
  <xsl:for-each 
   select='$document//*[local-name()="p"][@class="h1"]'>
   <xsl:if test='.//*[local-name()="a"] [@name=$href]' > 
   <xsl:call-template name='item_file_name_relative' />#<xsl:copy-of select="$href" />
   </xsl:if>
  </xsl:for-each>
 </xsl:variable>
 <xsl:message> DEBUG $new-href="<xsl:value-of select='$new-href' />"</xsl:message>
<xsl:copy>
 <xsl:attribute name='href'> 
  <xsl:value-of select='$new-href' /> 
 </xsl:attribute>
  <xsl:copy-of select='node()' />
</xsl:copy>
 </xsl:when>
 <xsl:otherwise>
  <xsl:copy-of select='.' />
 </xsl:otherwise>
 </xsl:choose>
</xsl:template>
 
</xsl:stylesheet>
