<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- difference by value

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >
<xsl:import href='difference-by-value.xslt'/>


<xsl:variable name="t2" >
<stopwords>
<w>a</w>
<w>about</w>
<w>above</w>
<w>across</w>
<w>after</w>
<w>again</w>
<w>against</w>
<w>all</w>
</stopwords>
</xsl:variable>

<xsl:variable name="t1" >
<words rubric="*[local-name()=&#34;p&#34;] [*[local-name()=&#34;h2&#34;][contains(.,&#34;Target Organisms&#34;)]] / *[local-name()=&#34;p&#34;]" use-stopwords="YES"><w>Ants</w><w>-</w><w>general</w><w>Aphids</w><w>Caterpillars</w><w>Colorado</w><w>beetle</w><w>Leptinotarsa</w><w>decemlineata</w><w>Imported</w><w>cabbage</w><w>worm</w><w>Pieris</w><w>rapae</w><w>Rice</w><w>Weevil</w>
<w>again</w>
<w>against</w>
<w>all</w>
</words>
</xsl:variable>
<xsl:template match='/' >
    <xsl:call-template name="difference-by-value">
     <xsl:with-param name="v1" select="$t1/*" />
     <xsl:with-param name="v2" select="$t2/*" />
    </xsl:call-template>
</xsl:template>
</xsl:stylesheet> 
