<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- XMLPublish framework
This file is specific to a document class (not in XMLPublish core)
This file is an XSLT library, designed to be imported.

The files, after splitting from specific XML markup into 1 file per item
are named here, into another directory $directory.

This XSLT file serves to centralize header and files names generation.
One should implement the 3 templates item_name, item_file_name, item_file_name_html.

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:param name='directory' select='"work/items"'/>
<xsl:param name='items-directory' select='"items"'/>

<!-- This is called in the item context to get the human-readable name of the item -->
<xsl:template name="item_name" >
 <xsl:value-of select="substring-before(*[local-name()='h1'][1],' ')" />&#160;
 <xsl:value-of select="substring-before( substring-after(*[local-name()='h1'][1],' '),' ')" />
</xsl:template>
<!-- This is called in the item context to get a computer name of the item, suitable for making file and URL name -->
<xsl:template name="item_key" >
 <xsl:value-of select="substring-before(*[local-name()='h1'][1],' ')" />
 <xsl:value-of select="concat('-',generate-id())" />
</xsl:template>

</xsl:stylesheet> 
