<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

  <!-- This is a simple identity function -->
  <xsl:template match="@*|*">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|text()" />
    </xsl:copy>
  </xsl:template>

  <xsl:template match="key">
    <rubric use-keywords="no" structure="?" item-xpath="?" >
      <xsl:apply-templates select="@*" />
      <xsl:attribute name="xpath"><xsl:value-of select="@index-by"/></xsl:attribute>
    </rubric>
  </xsl:template>

  <xsl:template match="keywords">
    <rubric use-keywords="yes" structure="?" item-xpath="?" >
      <xsl:apply-templates select="@*" />
      <xsl:attribute name="xpath"><xsl:value-of select="@index-by"/></xsl:attribute>
      <keywords>
        <xsl:apply-templates select="*" />
      </keywords>
    </rubric>
  </xsl:template>

<!-- OLD:
<key index-by='Document' label='Document' name='Document' use-stopwords='yes'></key>
<keywords index-by='Description' label='Description' name='Description'>

NEW:
<rubric use-keywords="yes" use-stopwords="yes" label="XML source " structure="row" name="XML_source_" xpath="XML_source_" item-xpath="/*/tr"><keywords rubric="XML_source_"><w>auto-sufficient</w><w>document-to-split.xml</w><w>emptyElements.xml</w><w>FinancialReport_1.htm</w><w>pense-bete.xml</w><w>relationalDB.xml</w><w>sampleXMLSchema.xml</w><w>sphere.MathML.xml</w><w>stylesheet</w><w>substituteEltName.xml</w><w>test-make-words-list.xslt</w><w>test.xml</w><w>testHREF.xml</w></keywords></rubric>
-->
</xsl:stylesheet> 
