<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xp="http://au.com.Langdale/2000/Xpetal"
>

        <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
        <xsl:param name="pname">Nerc</xsl:param>

        <!-- supress classes, roles and associations not in the profile -->
        <xsl:template match="xp:Class[xp:Attribute/xp:name=concat($pname,'Profile')]">
                <xsl:call-template name="copy"></xsl:call-template>
        </xsl:template>
        <xsl:template match="xp:Class">
        </xsl:template>

        <xsl:template match="xp:Association[xp:Attribute/xp:name=concat($pname,'Profile')]">
                <xsl:call-template name="copy"></xsl:call-template>
        </xsl:template>
        <xsl:template match="xp:Association">
        </xsl:template>

        <xsl:template match="xp:ClassAttribute[xp:Attribute/xp:name=concat($pname,'Profile')]">
                <xsl:call-template name="copy"></xsl:call-template>
        </xsl:template>
        <xsl:template match="xp:ClassAttribute">
        </xsl:template>

        <!-- copy the parts we are interested in -->
        <xsl:template match="@*|node()" name="copy">
          <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
          </xsl:copy>
        </xsl:template>
</xsl:stylesheet>
