<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
Generates HTML pages directly, without first storing unfinishhed XHTML files.

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:import href="group-by-headers.xslt" />
<xsl:import href="extractBody.xslt" />
<xsl:import href="split-into-items-impl.xslt" />
<xsl:import href="split-href.xslt" />
 <xsl:import href="format-HTML-impl.xslt" />
<xsl:include href="item_file_name-generic-html.xslt" />

<xsl:template match="/">
 <xsl:variable name='headers-grouped' >
  <xsl:apply-templates select="*" mode='initial' /> 
 </xsl:variable>
 <xsl:variable name='html-body' >
  <xsl:apply-templates select="$headers-grouped" mode='extractBody' />
 </xsl:variable>
<!--
  <xsl:apply-templates select="$html-body/*/*" mode='write-file' >
   <xsl:with-param name='document' select="$html-body" />
  </xsl:apply-templates>

 <xsl:message> DEBUG count($html-body/*/*)=<xsl:copy-of select="count($html-body/*/*)" /> </xsl:message>
-->
 <xsl:for-each select="$html-body/*/*" >

  <xsl:variable name='format-HTML'>
   <xsl:call-template name='format-HTML'>
    <xsl:with-param name='item-document' select="." />
   </xsl:call-template>
  </xsl:variable>
<!--
  <xsl:message> DEBUG $format-HTML=<xsl:copy-of select="$format-HTML" /> </xsl:message>
 <xsl:message> DEBUG $html-body=<xsl:copy-of select="$html-body" /> </xsl:message> -->
  <xsl:message> DEBUG .=<xsl:copy-of select="." /> </xsl:message>
  <xsl:message> DEBUG position()=<xsl:copy-of select="position()" /> </xsl:message>
  <xsl:apply-templates select="$format-HTML" mode='write-file' >
   <xsl:with-param name='document' select="$html-body" />
  </xsl:apply-templates>
 </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
