<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/
-->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                version="1.0" >

<xsl:import href='make-words-list.xslt'/>

<xsl:template match='/'>
    <xsl:variable name="unsorted-words-list">
     <xsl:call-template name="make-words-list">
      <xsl:with-param name="string" select="'e a b c a b b'" />
     </xsl:call-template>
    </xsl:variable>
    $unsorted-words-list= <xsl:copy-of select="$unsorted-words-list"/>
 <result>
    <xsl:for-each select="$unsorted-words-list/*" >
     <xsl:sort />
     <xsl:copy-of select="." />
    </xsl:for-each>
 </result>
</xsl:template>
</xsl:stylesheet> 
