<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 

Copyright J.M. Vanel 2001 - under GNU public licence 
jmvanel@free.fr 

Worldwide Botanical Knowledge Base 
http://wwbota.free.fr/

$Header: /home/jmv/cvsroot/XMLPublication/kernel/unique.xslt,v 1.1.1.1 2002/05/08 07:56:07 jmv Exp $ -->

<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
                xmlns:saxon='http://icl.com/saxon'
                exclude-result-prefixes="saxon"
                version="1.1" >

  <xsl:template name="make-unique">
    <xsl:param name="nodes" />
    <xsl:for-each select="$nodes/*" >
      <xsl:variable name="before" select="preceding-sibling::* "/>
      <xsl:variable name="first-appearance" select="not(string(.) = $before)"/>
      <xsl:if test="$first-appearance" >
        <xsl:copy-of select="."/>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
